Index: Makefile
===================================================================
--- Makefile (nonexistent)
+++ Makefile (revision 5)
@@ -0,0 +1,261 @@
+
+COMPONENT_TARGETS = $(HARDWARE_INTEL_PC32)
+COMPONENT_TARGETS += $(HARDWARE_INTEL_PC64)
+COMPONENT_TARGETS += $(HARDWARE_EBOX_3350DX2)
+COMPONENT_TARGETS += $(HARDWARE_CB1X)
+COMPONENT_TARGETS += $(HARDWARE_CB2X)
+COMPONENT_TARGETS += $(HARDWARE_CB3X)
+COMPONENT_TARGETS += $(HARDWARE_ORANGE_PP2E)
+COMPONENT_TARGETS += $(HARDWARE_NANOPI_NEO)
+COMPONENT_TARGETS += $(HARDWARE_ORANGE_PP)
+COMPONENT_TARGETS += $(HARDWARE_ORANGE_PL2)
+COMPONENT_TARGETS += $(HARDWARE_WECHIP_TX6)
+COMPONENT_TARGETS += $(HARDWARE_FFRK3288)
+COMPONENT_TARGETS += $(HARDWARE_POIN2)
+COMPONENT_TARGETS += $(HARDWARE_RK3328_CC)
+COMPONENT_TARGETS += $(HARDWARE_KHADAS_EDGE)
+COMPONENT_TARGETS += $(HARDWARE_LEEZ_P710)
+COMPONENT_TARGETS += $(HARDWARE_M201)
+COMPONENT_TARGETS += $(HARDWARE_MXV)
+COMPONENT_TARGETS += $(HARDWARE_P201)
+COMPONENT_TARGETS += $(HARDWARE_NEXBOX_A95X)
+COMPONENT_TARGETS += $(HARDWARE_ODROID_C2)
+COMPONENT_TARGETS += $(HARDWARE_P212)
+COMPONENT_TARGETS += $(HARDWARE_KHADAS_VIM)
+COMPONENT_TARGETS += $(HARDWARE_Q201)
+COMPONENT_TARGETS += $(HARDWARE_ENYBOX_X2)
+COMPONENT_TARGETS += $(HARDWARE_KHADAS_VIM2)
+COMPONENT_TARGETS += $(HARDWARE_NIT6Q)
+COMPONENT_TARGETS += $(HARDWARE_OKMX6DL_C)
+COMPONENT_TARGETS += $(HARDWARE_OKMX6Q_C)
+COMPONENT_TARGETS += $(HARDWARE_BONE_BLACK)
+COMPONENT_TARGETS += $(HARDWARE_OMAP5UEVM)
+COMPONENT_TARGETS += $(HARDWARE_DRA7XXEVM)
+COMPONENT_TARGETS += $(HARDWARE_CI20)
+COMPONENT_TARGETS += $(HARDWARE_BAIKAL_T1)
+COMPONENT_TARGETS += $(HARDWARE_BAIKAL_M1)
+COMPONENT_TARGETS += $(HARDWARE_S824L)
+COMPONENT_TARGETS += $(HARDWARE_VESNIN)
+COMPONENT_TARGETS += $(HARDWARE_S824L_LSB)
+COMPONENT_TARGETS += $(HARDWARE_VESNIN_LSB)
+COMPONENT_TARGETS += $(HARDWARE_TL2WK2)
+COMPONENT_TARGETS += $(HARDWARE_TL2SV2)
+COMPONENT_TARGETS += $(HARDWARE_TL2WK2_LSB)
+COMPONENT_TARGETS += $(HARDWARE_TL2SV2_LSB)
+COMPONENT_TARGETS += $(HARDWARE_SIFIVE_U740)
+
+
+NEED_ABS_PATH = true
+COMPONENT_IS_3PP = true
+
+
+include ../../../build-system/constants.mk
+
+
+SOURCE_REQUIRES = sources/packages/a/gpm
+
+REQUIRES = app/inputattach/1.8.1
+
+# ======= __END_OF_REQUIRES__ =======
+
+
+version = 1.20.7
+tar_bz2_archive = $(SRC_PACKAGE_PATH)/packages/a/gpm/gpm-$(version).tar.bz2
+SRC_ARCHIVE = $(tar_bz2_archive)
+SRC_DIR = $(TARGET_BUILD_DIR)/gpm-$(version)
+src_dir_name = gpm-$(version)
+src_done = $(TARGET_BUILD_DIR)/.source_done
+
+PATCHES = PATCHES
+
+build_target = $(TARGET_BUILD_DIR)/.build_done
+install_target = $(TARGET_BUILD_DIR)/.install_done
+
+cache_file_in = $(CURDIR)/disable-emacs.cache
+cache_file = $(CURDIR)/$(SRC_DIR)/disable-emacs.cache
+
+
+####### Targets
+
+PKG_GROUP = app
+
+#
+# *PKG_NAME & *PKG_VERSION shouldn't be a reference to value.
+#
+GPM_PKG_NAME = gpm
+GPM_PKG_VERSION = 1.20.7
+GPM_PKG_ARCH = $(PKGARCH)
+GPM_PKG_DISTRO_NAME = $(DISTRO_NAME)
+GPM_PKG_DISTRO_VERSION = $(DISTRO_VERSION)
+GPM_PKG_GROUP = $(PKG_GROUP)
+### |---handy-ruler-------------------------------|
+GPM_PKG_SHORT_DESCRIPTION = general purpose mouse server
+GPM_PKG_URL = $(BUG_URL)
+GPM_PKG_LICENSE = GPLv2
+GPM_PKG_DESCRIPTION_FILE = $(TARGET_BUILD_DIR)/$(GPM_PKG_NAME)-pkg-description
+GPM_PKG_DESCRIPTION_FILE_IN = $(GPM_PKG_NAME)-pkg-description.in
+GPM_PKG_INSTALL_SCRIPT = $(GPM_PKG_NAME)-pkg-install.sh
+
+GPM_PKG = $(CURDIR)/$(TARGET_BUILD_DIR)/$(GPM_PKG_NAME)-package
+
+pkg_basename = $(GPM_PKG_NAME)-$(GPM_PKG_VERSION)-$(GPM_PKG_ARCH)-$(GPM_PKG_DISTRO_NAME)-$(GPM_PKG_DISTRO_VERSION)
+
+pkg_archive = $(TARGET_BUILD_DIR)/$(PKG_GROUP)/$(pkg_basename).$(pkg_arch_suffix)
+pkg_certificate = $(call cert-name,$(pkg_archive))
+pkg_signature = $(call sign-name,$(pkg_archive))
+pkg_description = $(call desc-name,$(pkg_archive))
+products = $(call pkg-files,$(pkg_archive))
+
+BUILD_TARGETS = $(build_target)
+BUILD_TARGETS += $(install_target)
+
+PRODUCT_TARGETS = $(products)
+
+ROOTFS_TARGETS = $(pkg_archive)
+
+
+include ../../../build-system/core.mk
+
+
+env_sysroot = DESTDIR=$(GPM_PKG)
+
+
+extra_configure_switches = --libdir=/usr/lib$(LIBSUFFIX)
+extra_configure_switches += --docdir=/usr/share/doc/$(src_dir_name)
+extra_configure_switches += --mandir=/usr/share/man
+extra_configure_switches += --infodir=/usr/share/info
+extra_configure_switches += --sysconfdir=/etc
+extra_configure_switches += --cache-file=$(cache_file)
+
+ifeq ($(__ENABLE_STATIC__),yes)
+extra_configure_switches += --enable-static=yes
+else
+extra_configure_switches += --enable-static=no
+endif
+extra_configure_switches += --enable-shared=yes
+
+
+CFLAGS += -Wno-pointer-sign -Wno-misleading-indentation
+CFLAGS += -Wno-unused-but-set-variable -Wno-uninitialized
+CFLAGS += -Wno-int-to-pointer-cast -Wno-unused-function
+CFLAGS += -Wno-unused-value -Wno-format
+
+####### Dependencies
+
+$(src_done): $(SRC_ARCHIVE) $(PATCHES_DEP)
+ $(UNPACK_SRC_ARCHIVE)
+ $(APPLY_PATCHES)
+ @cp -a $(CONFIG_GUESS) $(CONFIG_SUB) $(SRC_DIR)/config
+ @touch $@
+
+$(build_target): $(src_done)
+ @cp -a $(cache_file_in) $(cache_file)
+ @cd $(SRC_DIR) && \
+ $(BUILD_ENVIRONMENT) ./configure \
+ --prefix=/usr \
+ --build=$(BUILD) \
+ --host=$(TARGET) \
+ $(extra_configure_switches)
+ @cd $(SRC_DIR) && $(BUILD_ENVIRONMENT) $(MAKE)
+ @touch $@
+
+$(install_target): $(build_target)
+ @mkdir -p $(GPM_PKG)
+ @cd $(SRC_DIR) && $(BUILD_ENVIRONMENT) $(MAKE) -j1 install $(env_sysroot)
+ @chmod 755 $(GPM_PKG)/usr/lib$(LIBSUFFIX)/libgpm.so.?.?.?
+ @mkdir -p $(GPM_PKG)/lib$(LIBSUFFIX)
+ @( cd $(GPM_PKG)/usr/lib$(LIBSUFFIX) ; \
+ for file in lib*.so.?.* ; do \
+ mv $$file ../../lib$(LIBSUFFIX) ; \
+ ln -sf ../../lib$(LIBSUFFIX)/$$file . ; \
+ done ; \
+ cp -a lib*.so.? ../../lib$(LIBSUFFIX) ; \
+ )
+ @( cd $(GPM_PKG)/usr/lib$(LIBSUFFIX) ; \
+ ln -sf libgpm.so.?.?.? libgpm.so \
+ )
+ @mkdir -p $(GPM_PKG)/etc/rc.d
+ @( cd $(SRC_DIR)/conf ; \
+ cat gpm-root.conf > $(GPM_PKG)/etc/gpm-root.conf ; \
+ cat gpm-syn.conf > $(GPM_PKG)/etc/gpm-syn.conf ; \
+ cat gpm-twiddler.conf > $(GPM_PKG)/etc/gpm-twiddler.conf \
+ )
+ # ======= Install mouse config script =======
+ @mkdir -p $(GPM_PKG)/usr/sbin
+ @cat $(CURDIR)/setup/mouseconfig > $(GPM_PKG)/usr/sbin/mouseconfig
+ @chmod 755 $(GPM_PKG)/usr/sbin/mouseconfig
+ @mkdir -p $(GPM_PKG)/var/lib/$(DISTRO_NAME)/setup/tmp
+ @cat $(CURDIR)/setup/setup.mouse > $(GPM_PKG)/var/lib/$(DISTRO_NAME)/setup/setup.mouse
+ @chmod 755 $(GPM_PKG)/var/lib/$(DISTRO_NAME)/setup/setup.mouse
+ # ======= Install Documentation =======
+ @rm -f $(GPM_PKG)/usr/share/info/dir
+ @gzip -9 $(GPM_PKG)/usr/share/info/*
+ @if [ -d $(GPM_PKG)/usr/share/man ]; then \
+ ( cd $(GPM_PKG)/usr/share/man ; \
+ for manpagedir in `find . -type d -name "man*"` ; do \
+ ( cd $$manpagedir ; \
+ for eachpage in `find . -type l -maxdepth 1` ; do \
+ ln -s `readlink $$eachpage`.gz $$eachpage.gz ; \
+ rm $$eachpage ; \
+ done ; \
+ gzip -9 *.? ; \
+ ) \
+ done \
+ ) \
+ fi
+ @mkdir -p $(GPM_PKG)/usr/doc/$(src_dir_name)
+ @( cd $(SRC_DIR) ; \
+ cp -a COPYING README \
+ $(GPM_PKG)/usr/doc/$(src_dir_name) \
+ )
+ @mkdir -p $(GPM_PKG)/usr/share/doc/$(src_dir_name)
+ @( cd $(SRC_DIR) ; \
+ cp -a MANIFEST README* TODO doc/{Announce,FAQ,HACK_GPM,README*,changelog} \
+ $(GPM_PKG)/usr/share/doc/$(src_dir_name) ; \
+ cp -arf doc/specs doc/support doc/todo \
+ $(GPM_PKG)/usr/share/doc/$(src_dir_name) \
+ )
+ @( cd $(SRC_DIR) ; \
+ if [ -r ChangeLog ]; then \
+ DOCSDIR=`echo $(GPM_PKG)/usr/doc/$(src_dir_name)` ; \
+ cat ChangeLog | head -n 1000 > $$DOCSDIR/ChangeLog ; \
+ touch -r ChangeLog $$DOCSDIR/ChangeLog ; \
+ fi \
+ )
+ # ======= Install the same to $(TARGET_DEST_DIR) =======
+ $(call install-into-devenv, $(GPM_PKG))
+ # ======= Strip binaries =======
+ @( cd $(GPM_PKG) ; \
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs $(STRIP) --strip-unneeded 2> /dev/null ; \
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs $(STRIP) --strip-unneeded 2> /dev/null ; \
+ )
+ifeq ($(__ENABLE_STATIC__),yes)
+ @( cd $(GPM_PKG) ; \
+ find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs $(STRIP) -g 2> /dev/null ; \
+ )
+endif
+ @touch $@
+
+$(GPM_PKG_DESCRIPTION_FILE): $(GPM_PKG_DESCRIPTION_FILE_IN)
+ @cat $< | $(SED) -e "s/@VERSION@/$(version)/g" > $@
+
+$(pkg_certificate) : $(pkg_archive) ;
+$(pkg_signature) : $(pkg_archive) ;
+$(pkg_description) : $(pkg_archive) ;
+
+$(pkg_archive): $(install_target) $(GPM_PKG_DESCRIPTION_FILE) $(GPM_PKG_INSTALL_SCRIPT)
+ @cp $(GPM_PKG_DESCRIPTION_FILE) $(GPM_PKG)/.DESCRIPTION
+ @cp $(GPM_PKG_INSTALL_SCRIPT) $(GPM_PKG)/.INSTALL
+ @$(BUILD_PKG_REQUIRES) $(GPM_PKG)/.REQUIRES
+ @echo "pkgname=$(GPM_PKG_NAME)" > $(GPM_PKG)/.PKGINFO ; \
+ echo "pkgver=$(GPM_PKG_VERSION)" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "arch=$(GPM_PKG_ARCH)" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "distroname=$(GPM_PKG_DISTRO_NAME)" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "distrover=$(GPM_PKG_DISTRO_VERSION)" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "group=$(GPM_PKG_GROUP)" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "short_description=\"$(GPM_PKG_SHORT_DESCRIPTION)\"" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "url=$(GPM_PKG_URL)" >> $(GPM_PKG)/.PKGINFO ; \
+ echo "license=$(GPM_PKG_LICENSE)" >> $(GPM_PKG)/.PKGINFO
+ @$(PSEUDO) sh -c "cd $(GPM_PKG) && \
+ chown -R root:root . && \
+ $(MAKE_PACKAGE) -J --linkadd=yes $(GNUPG_OPTIONS) -m -d .. ."
Index: PATCHES
===================================================================
--- PATCHES (nonexistent)
+++ PATCHES (revision 5)
@@ -0,0 +1,2 @@
+
+../../../sources/packages/a/gpm/patches/gpm-1.20.7.patch -p0
Index: disable-emacs.cache
===================================================================
--- disable-emacs.cache (nonexistent)
+++ disable-emacs.cache (revision 5)
@@ -0,0 +1 @@
+ac_cv_path_emacs=no
Index: gpm-pkg-description.in
===================================================================
--- gpm-pkg-description.in (nonexistent)
+++ gpm-pkg-description.in (revision 5)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpm: gpm @VERSION@ (general purpose mouse server)
+gpm:
+gpm: The general purpose mouse server, or gpm, allows you to use the mouse
+gpm: to cut and paste text from the screen. It also acts as a mouse
+gpm: server for applications running on the Linux console, such as the
+gpm: Midnight Commander file manager.
+gpm:
+gpm: NOTE: This program may cause problems when you start X on systems
+gpm: that use a bus mouse (not common). If you get an 'unable to open
+gpm: mouse device' error from X, disable /etc/rc.d/rc.gpm.
+gpm:
Index: gpm-pkg-install.sh
===================================================================
--- gpm-pkg-install.sh (nonexistent)
+++ gpm-pkg-install.sh (revision 5)
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Preserve new files
+install_file() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+
+# arg 1: the new package version
+pre_install() {
+ /bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+ #
+ # NOTE:
+ # 'install-info' can work using relative paths and we can make use build machine
+ # utility during installation to the some partition and use target 'install-info'
+ # during installation directly on the running target machine.
+ #
+ if [ -x /usr/bin/install-info ] ; then
+ install-info --info-dir=usr/share/info usr/share/info/gpm.info.gz 2>/dev/null
+ elif ! grep "(gpm)" usr/share/info/dir 1> /dev/null 2> /dev/null ; then
+ cat << EOF >> usr/share/info/dir
+
+Miscellaneous
+* Gpm: (gpm). A server wich hands mouse events to non-X programs.
+EOF
+ fi
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_update() {
+ /bin/true
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_update() {
+ post_install
+}
+
+# arg 1: the old package version
+pre_remove() {
+ if [ -x /usr/bin/install-info ] ; then
+ install-info --delete --info-file=usr/share/info/gpm.info.gz --dir-file=usr/share/info/dir 2> /dev/null || /bin/true
+ fi
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+
+operation=$1
+shift
+
+$operation $*
Property changes on: gpm-pkg-install.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: setup/mouseconfig
===================================================================
--- setup/mouseconfig (nonexistent)
+++ setup/mouseconfig (revision 5)
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# Starts the mouse configuration menu, where you
+# can set your /dev/mouse link and configure gpm.
+#
+COLOR=on
+export COLOR
+cd /
+/bin/sh /var/lib/radix/setup/setup.mouse /
Index: setup/setup.mouse
===================================================================
--- setup/setup.mouse (nonexistent)
+++ setup/setup.mouse (revision 5)
@@ -0,0 +1,157 @@
+#!/bin/sh
+#
+# Configure the console mouse support (GPM).
+#
+T_PX=$1
+TMP=/var/lib/radix/setup/tmp
+GPM=/usr/sbin/gpm
+# If the mouse is USB, we can autodetect it:
+if [ -r /proc/bus/input/devices ]; then
+ if grep -B3 Handlers=mouse /proc/bus/input/devices | grep Phys=usb 1>/dev/null 2>/dev/null; then
+ MOUSE_TYPE=usb
+ MTYPE="imps2"
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse )
+ fi
+fi
+
+if [ "$MOUSE_TYPE" = "" ]; then
+ dialog --title "MOUSE CONFIGURATION" --default-item "imps2" --menu \
+"This part of the configuration \
+process will create a /dev/mouse link pointing to your default mouse device. \
+You can change the /dev/mouse link later if the mouse doesn't work, or if \
+you switch to a different type of pointing device. We will also use the \
+information about the mouse to set the correct protocol for gpm, the Linux \
+mouse server. Please select a mouse type \
+from the list below:" 20 76 8 \
+ "ps2" "PS/2 port mouse (most desktops and laptops)" \
+ "usb" "USB connected mouse" \
+ "imps2" "Microsoft PS/2 Intellimouse" \
+ "exps2" "Intellimouse Explorer PS/2" \
+ "bare" "2 button Microsoft compatible serial mouse" \
+ "ms" "3 button Microsoft compatible serial mouse" \
+ "mman" "Logitech serial MouseMan and similar devices" \
+ "msc" "MouseSystems serial (most 3 button serial mice)" \
+ "pnp" "Plug and Play (serial mice that do not work with ms)" \
+ "ms3" "Microsoft serial Intellimouse" \
+ "netmouse" "Genius Netmouse on PS/2 port" \
+ "logi" "Some serial Logitech devices" \
+ "logim" "Make serial Logitech behave like msc" \
+ "atibm" "ATI XL busmouse (mouse card)" \
+ "inportbm" "Microsoft busmouse (mouse card)" \
+ "logibm" "Logitech busmouse (mouse card)" \
+ "ncr" "A pointing pen (NCR3125) on some laptops" \
+ "twid" "Twiddler keyboard, by HandyKey Corp" \
+ "genitizer" "Genitizer tablet (relative mode)" \
+ "js" "Use a joystick as a mouse" \
+ "wacom" "Wacom serial graphics tablet" \
+ 2> $TMP/mtype
+ if [ ! $? = 0 ]; then
+ rm -f $TMP/mtype
+ exit
+ fi
+ if [ -f $TMP/mtype ]; then
+ MOUSE_TYPE="`cat $TMP/mtype`"
+ else
+ unset MOUSE_TYPE
+ fi
+ rm -f $TMP/mtype
+ if [ "$MOUSE_TYPE" = "bare" -o "$MOUSE_TYPE" = "ms" \
+ -o "$MOUSE_TYPE" = "mman" -o "$MOUSE_TYPE" = "msc" \
+ -o "$MOUSE_TYPE" = "genitizer" \
+ -o "$MOUSE_TYPE" = "pnp" -o "$MOUSE_TYPE" = "ms3" \
+ -o "$MOUSE_TYPE" = "logi" -o "$MOUSE_TYPE" = "logim" \
+ -o "$MOUSE_TYPE" = "wacom" -o "$MOUSE_TYPE" = "twid" ]; then
+ dialog --title "SELECT SERIAL PORT" --menu "Your mouse requires a \
+serial port. Which one would you like to use?" 12 50 4 \
+ "/dev/ttyS0" "(COM1: under DOS)" \
+ "/dev/ttyS1" "(COM2: under DOS)" \
+ "/dev/ttyS2" "(COM3: under DOS)" \
+ "/dev/ttyS3" "(COM4: under DOS)" 2> $TMP/mport
+ if [ ! $? = 0 ]; then
+ rm -f $TMP/mport
+ exit
+ fi
+ MDEVICE="`cat $TMP/mport`"
+ SHORT_MDEVICE=`basename $MDEVICE`
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf $SHORT_MDEVICE mouse )
+ # For the serial mice, the protocol is the same as the mouse type:
+ MTYPE=$MOUSE_TYPE
+ rm -f $TMP/mport
+ elif [ "$MOUSE_TYPE" = "ps2" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
+ MTYPE="ps2"
+ elif [ "$MOUSE_TYPE" = "ncr" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
+ MTYPE="ncr"
+ elif [ "$MOUSE_TYPE" = "exps2" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
+ MTYPE="exps2"
+ elif [ "$MOUSE_TYPE" = "imps2" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
+ MTYPE="imps2"
+ elif [ "$MOUSE_TYPE" = "logibm" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf logibm mouse )
+ MTYPE="ps2"
+ elif [ "$MOUSE_TYPE" = "atibm" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf atibm mouse )
+ MTYPE="ps2"
+ elif [ "$MOUSE_TYPE" = "inportbm" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf inportbm mouse )
+ MTYPE="bm"
+ elif [ "$MOUSE_TYPE" = "js" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf js0 mouse )
+ MTYPE="js"
+ elif [ "$MOUSE_TYPE" = "usb" ]; then
+ ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse )
+ MTYPE="imps2"
+ fi
+fi
+
+# OK, we know enough now to create a sample rc.gpm:
+cat << EOF > $T_PX/etc/rc.d/rc.gpm-sample
+#!/bin/sh
+#
+# Start/stop/restart the GPM mouse server:
+#
+
+if [ "\$1" = "stop" ]; then
+ echo "Stopping gpm..."
+ $GPM -k
+elif [ "\$1" = "restart" ]; then
+ echo "Restarting gpm..."
+ $GPM -k
+ sleep 1
+ $GPM -m /dev/mouse -t $MTYPE
+else # assume \$1 = start:
+ echo "Starting gpm: $GPM -m /dev/mouse -t $MTYPE"
+ $GPM -m /dev/mouse -t $MTYPE
+fi
+
+# There is another way to run GPM, where it acts as a repeater outputting a
+# virtual MouseSystems mouse on /dev/gpmdata. This is useful for feeding
+# gpm's data to X, especially if you've got a busmouse (in that situation X
+# and gpm may not coexist without using a repeater). To try running a GPM
+# repeater for X, change the gpm command line to look like this:
+# $GPM -R msc -m /dev/mouse -t $MTYPE
+# Then, make sure that the mouse configuration in your XF86Config file refers
+# to the repeater device (/dev/gpmdata) and a MouseSystems mouse type. If you
+# edit the file directly, you'll want the lines to look like this (minus the
+# comment marks '#' shown here, of course):
+#Section "Pointer"
+# Protocol "MouseSystems"
+# Device "/dev/gpmdata"
+EOF
+chmod 755 $T_PX/etc/rc.d/rc.gpm-sample
+# Now ask if this should be the new rc.gpm:
+ dialog --title "GPM CONFIGURATION" --yesno \
+"The gpm program allows you to cut and paste text on\n\
+the virtual consoles using a mouse. If you choose to\n\
+run it at boot time, this line will be added to your\n\
+/etc/rc.d/rc.gpm:\n\
+\n\
+ $GPM -m /dev/mouse -t $MTYPE \n\
+\n\
+Shall we load the gpm program at boot time?" 12 58
+if [ $? = 0 ]; then
+ mv $T_PX/etc/rc.d/rc.gpm-sample $T_PX/etc/rc.d/rc.gpm
+fi
Index: setup
===================================================================
--- setup (nonexistent)
+++ setup (revision 5)
Property changes on: setup
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~
Index: .
===================================================================
--- . (nonexistent)
+++ . (revision 5)
Property changes on: .
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~